### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-standardised/ecl-site-header-standardised.component.ts`

### Extends

`EclSiteHeaderComponent`

### Metadata

selector | `ecl-site-header-standardised`
templateUrl | `./ecl-site-header-standardised.component.html`

### Index

###### Properties
Public classNameSlot Public environmentSlot Public isLoginBoxActive Public isSearchBoxActive templates
###### Methods
getCssClasses getLoginBoxCssClasses getSearchBoxCssClasses Abstract getCssClasses getECLogoLanguageName Abstract getLoginBoxCssClasses Abstract getSearchBoxCssClasses isGroup onECLogoClick onLanguageClick onLoginBoxToggle onLoginClick onLogoutClick onSearch onSearchBoxToggle shouldRenderLogin
###### Inputs
group hasLanguageSelector hasLogin hasSearch isLoggedIn languageCode languageLabel loggedAs searchButtonLabel searchInputText siteName styleClass
###### Outputs
languageClick login logoClick logout search

### Constructor

`constructor(eclLanguageService: EclLanguageService)`
Parameters :
Name | Type | Optional
eclLanguageService | `EclLanguageService` | No

### Inputs

group
Type : `string`
Default value : `'2'`

hasLanguageSelector
Type : `boolean`
Default value : `true`

hasLogin
Type : `boolean`
Default value : `false`

hasSearch
Type : `boolean`
Default value : `true`

isLoggedIn
Type : `boolean`
Default value : `false`

languageCode
Type : `string`
Default value : `'en'`

languageLabel
Type : `string`

loggedAs
Type : `string`
Default value : `''`

searchButtonLabel
Type : `string`

searchInputText
Type : `string`

siteName
Type : `string`

styleClass
Type : `string`

### Outputs

languageClick
Type : `EventEmitter`

login
Type : `EventEmitter`

logoClick
Type : `EventEmitter`

logout
Type : `EventEmitter`

search
Type : `EventEmitter`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

getLoginBoxCssClasses
`getLoginBoxCssClasses()`
Returns : `string`

getSearchBoxCssClasses
`getSearchBoxCssClasses()`
Returns : `string`

Abstract getCssClasses
`getCssClasses()`
Returns : `string`

getECLogoLanguageName
`getECLogoLanguageName()`
Returns : `string`

Abstract getLoginBoxCssClasses
`getLoginBoxCssClasses()`
Returns : `string`

Abstract getSearchBoxCssClasses
`getSearchBoxCssClasses()`
Returns : `string`

isGroup
`isGroup(groupId: string)`
Parameters :
Name | Type | Optional
groupId | `string` | No
Returns : `boolean`

onECLogoClick
`onECLogoClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onLanguageClick
`onLanguageClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onLoginBoxToggle
`onLoginBoxToggle(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onLoginClick
`onLoginClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onLogoutClick
`onLogoutClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

onSearch
`onSearch(evt: EclSearchFormEvent)`
Parameters :
Name | Type | Optional
evt | `EclSearchFormEvent` | No
Returns : `boolean`

onSearchBoxToggle
`onSearchBoxToggle(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

shouldRenderLogin
`shouldRenderLogin()`
Returns : `boolean`

### Properties

Public classNameSlot
Type : `TemplateRef<any>`

Public environmentSlot
Type : `TemplateRef<any>`

Public isLoginBoxActive
Type : `boolean`
Default value : `false`

Public isSearchBoxActive
Type : `boolean`
Default value : `false`

templates
Type : `QueryList<any>`
Decorators : `@ContentChildren(EclSlotDirective)`

# result-matching ""

# No results matching ""